Subject: redwoodcityfreecycle Offered: Assorted glass vases and cookbooks

From: "kv_yulo" <[email-masked]>
Date: Wed, 16 May 2007 16:24:47 -0000

I have about a dozen assorted flower vases and 2 bags of cookbooks - I
ve sorted them into for weight watchers (w real Weight Watchers books)
and the rest includes microwave, barbecue and kids cookbooks.

You guessed it - I'm cleaning out.

Email me your contact info. Telephone is fine.

Kathy